Package org.apache.velocity.runtime.parser.node

# Class AbstractExecutor

java.lang.Object
org.apache.velocity.runtime.parser.node.AbstractExecutor

Direct Known Subclasses:
  `GetExecutor`, `MapGetExecutor`, `PropertyExecutor`, `PublicFieldExecutor`

public abstract class AbstractExecutor extends Object
Abstract class that is used to execute an arbitrary method that is in introspected. This is the superclass for the GetExecutor and PropertyExecutor.

Version:
  $Id$
Author:
  Jason van Zyl, Geir Magnusson Jr.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.slf4j.Logger`
`log`

## Constructor Summary

Constructors
Constructor
Description
`AbstractExecutor()`

## Method Summary

Modifier and Type
Method
Description
`abstract Object`
`execute(Object o)`
Execute method against context.
`Method`
`getMethod()`
`boolean`
`isAlive()`
Tell whether the executor is alive by looking at the value of the method.
`protected void`
`setMethod(Method method)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

protected org.slf4j.Logger log

## Constructor Details

### AbstractExecutor

public AbstractExecutor()

## Method Details

### execute

public abstract Object execute(Object o) throws IllegalAccessException, InvocationTargetException
Execute method against context.

Parameters:
  `o` -
Returns:
  The resulting object.
Throws:
  `IllegalAccessException`
  `InvocationTargetException`

### isAlive

public boolean isAlive()
Tell whether the executor is alive by looking at the value of the method.

Returns:
  True if executor is alive.

### getMethod

public Method getMethod()

Returns:
  The current method.

### setMethod

protected void setMethod(Method method)

Parameters:
  `method` -
Since:
  1.5